TypeOfSchedule (The Data Transfer Scheduler DB interface 2.0.0-2.17.1 API)
Date: 2014-01-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.scheduler.db.model
Class TypeOfSchedule

    java.lang.Object
      org.gcube.datatransfer.scheduler.db.model.TypeOfSchedule

All Implemented Interfaces:
  Serializable

    public class TypeOfSchedule

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected boolean` | `directedScheduled`
`protected String` | `manuallyScheduledId`
`protected String` | `periodicallyScheduledId`

Constructor Summary
`TypeOfSchedule()`

Method Summary
`String` | `getManuallyScheduledId()`
`String` | `getPeriodicallyScheduledId()`
`String` | `getTypeOfScheduleId()`
`boolean` | `isDirectedScheduled()`
`void` | `setDirectedScheduled(boolean directedScheduled)`
`void` | `setManuallyScheduledId(String manuallyScheduledId)`
`void` | `setPeriodicallyScheduledId(String periodicallyScheduledId)`
`void` | `setTypeOfScheduleId(String typeOfScheduleId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### directedScheduled

    protected boolean directedScheduled

### manuallyScheduledId

    protected String manuallyScheduledId

### periodicallyScheduledId

    protected String periodicallyScheduledId

Constructor Detail

### TypeOfSchedule

    public TypeOfSchedule()

Method Detail

### isDirectedScheduled

    public boolean isDirectedScheduled()

### setDirectedScheduled

    public void setDirectedScheduled(boolean directedScheduled)

### getManuallyScheduledId

    public String getManuallyScheduledId()

### setManuallyScheduledId

    public void setManuallyScheduledId(String manuallyScheduledId)

### getPeriodicallyScheduledId

    public String getPeriodicallyScheduledId()

### setPeriodicallyScheduledId

    public void setPeriodicallyScheduledId(String periodicallyScheduledId)

### getTypeOfScheduleId

    public String getTypeOfScheduleId()

### setTypeOfScheduleId

    public void setTypeOfScheduleId(String typeOfScheduleId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.